#include <iostream>

using namespace std;

int main()
{

    int n,k;
    cin >> n >> k;

    int x[n];
    for (int i=0; i<n; ++i)
    {
        cin >> x[i];
    }


    for(int i=0; i<n; ++i)
    {
        if (x[i] == k)
        {
            if(i == n-1)
            {
                cout << endl << x[0]; return 0;
            }
            else
            {
                cout << x[i+1]; return 0;
            }
        }
    }

    return 0;
}